source: squid-ssl/trunk/fuentes/lib/rfcnb/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 23 months ago

Initial release

File size: 37.7 KB
RevLine 
[5495]1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94subdir = lib/rfcnb
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
97        $(top_srcdir)/acinclude/init.m4 \
98        $(top_srcdir)/acinclude/squid-util.m4 \
99        $(top_srcdir)/acinclude/compiler-flags.m4 \
100        $(top_srcdir)/acinclude/os-deps.m4 \
101        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
102        $(top_srcdir)/acinclude/pkg.m4 \
103        $(top_srcdir)/acinclude/lib-checks.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
106        $(top_srcdir)/helpers/basic_auth/modules.m4 \
107        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
121        $(top_srcdir)/helpers/digest_auth/modules.m4 \
122        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
133        $(top_srcdir)/helpers/log_daemon/modules.m4 \
134        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
136        $(top_srcdir)/helpers/external_acl/modules.m4 \
137        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
141        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
142        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
147        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
149        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
150        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
153        $(top_srcdir)/configure.ac
154am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
155        $(ACLOCAL_M4)
156DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
157mkinstalldirs = $(install_sh) -d
158CONFIG_HEADER = $(top_builddir)/include/autoconf.h
159CONFIG_CLEAN_FILES =
160CONFIG_CLEAN_VPATH_FILES =
161LTLIBRARIES = $(noinst_LTLIBRARIES)
162librfcnb_la_LIBADD =
163am_librfcnb_la_OBJECTS = rfcnb-io.lo rfcnb-util.lo session.lo
164librfcnb_la_OBJECTS = $(am_librfcnb_la_OBJECTS)
165AM_V_lt = $(am__v_lt_@AM_V@)
166am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
167am__v_lt_0 = --silent
168am__v_lt_1 =
169AM_V_P = $(am__v_P_@AM_V@)
170am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
171am__v_P_0 = false
172am__v_P_1 = :
173AM_V_GEN = $(am__v_GEN_@AM_V@)
174am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
175am__v_GEN_0 = @echo "  GEN     " $@;
176am__v_GEN_1 =
177AM_V_at = $(am__v_at_@AM_V@)
178am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
179am__v_at_0 = @
180am__v_at_1 =
181DEFAULT_INCLUDES =
182depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
183am__depfiles_maybe = depfiles
184am__mv = mv -f
185COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
186        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
187LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
188        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
189        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
190        $(AM_CFLAGS) $(CFLAGS)
191AM_V_CC = $(am__v_CC_@AM_V@)
192am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
193am__v_CC_0 = @echo "  CC      " $@;
194am__v_CC_1 =
195CCLD = $(CC)
196LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
198        $(AM_LDFLAGS) $(LDFLAGS) -o $@
199AM_V_CCLD = $(am__v_CCLD_@AM_V@)
200am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
201am__v_CCLD_0 = @echo "  CCLD    " $@;
202am__v_CCLD_1 =
203SOURCES = $(librfcnb_la_SOURCES)
204DIST_SOURCES = $(librfcnb_la_SOURCES)
205am__can_run_installinfo = \
206  case $$AM_UPDATE_INFO_DIR in \
207    n|no|NO) false;; \
208    *) (install-info --version) >/dev/null 2>&1;; \
209  esac
210am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
211# Read a list of newline-separated strings from the standard input,
212# and print each of them once, without duplicates.  Input order is
213# *not* preserved.
214am__uniquify_input = $(AWK) '\
215  BEGIN { nonempty = 0; } \
216  { items[$$0] = 1; nonempty = 1; } \
217  END { if (nonempty) { for (i in items) print i; }; } \
218'
219# Make sure the list of sources is unique.  This is necessary because,
220# e.g., the same source file might be shared among _SOURCES variables
221# for different programs/libraries.
222am__define_uniq_tagged_files = \
223  list='$(am__tagged_files)'; \
224  unique=`for i in $$list; do \
225    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
226  done | $(am__uniquify_input)`
227ETAGS = etags
228CTAGS = ctags
229am__tty_colors_dummy = \
230  mgn= red= grn= lgn= blu= brg= std=; \
231  am__color_tests=no
232am__tty_colors = { \
233  $(am__tty_colors_dummy); \
234  if test "X$(AM_COLOR_TESTS)" = Xno; then \
235    am__color_tests=no; \
236  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
237    am__color_tests=yes; \
238  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
239    am__color_tests=yes; \
240  fi; \
241  if test $$am__color_tests = yes; then \
242    red='[0;31m'; \
243    grn='[0;32m'; \
244    lgn='[1;32m'; \
245    blu='[1;34m'; \
246    mgn='[0;35m'; \
247    brg='[1m'; \
248    std='[m'; \
249  fi; \
250}
251am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
252am__vpath_adj = case $$p in \
253    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
254    *) f=$$p;; \
255  esac;
256am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
257am__install_max = 40
258am__nobase_strip_setup = \
259  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
260am__nobase_strip = \
261  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
262am__nobase_list = $(am__nobase_strip_setup); \
263  for p in $$list; do echo "$$p $$p"; done | \
264  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
265  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
266    if (++n[$$2] == $(am__install_max)) \
267      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
268    END { for (dir in files) print dir, files[dir] }'
269am__base_list = \
270  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
271  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
272am__uninstall_files_from_dir = { \
273  test -z "$$files" \
274    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
275    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
276         $(am__cd) "$$dir" && rm -f $$files; }; \
277  }
278am__recheck_rx = ^[     ]*:recheck:[    ]*
279am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
280am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
281# A command that, given a newline-separated list of test names on the
282# standard input, print the name of the tests that are to be re-run
283# upon "make recheck".
284am__list_recheck_tests = $(AWK) '{ \
285  recheck = 1; \
286  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
287    { \
288      if (rc < 0) \
289        { \
290          if ((getline line2 < ($$0 ".log")) < 0) \
291            recheck = 0; \
292          break; \
293        } \
294      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
295        { \
296          recheck = 0; \
297          break; \
298        } \
299      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
300        { \
301          break; \
302        } \
303    }; \
304  if (recheck) \
305    print $$0; \
306  close ($$0 ".trs"); \
307  close ($$0 ".log"); \
308}'
309# A command that, given a newline-separated list of test names on the
310# standard input, create the global log from their .trs and .log files.
311am__create_global_log = $(AWK) ' \
312function fatal(msg) \
313{ \
314  print "fatal: making $@: " msg | "cat >&2"; \
315  exit 1; \
316} \
317function rst_section(header) \
318{ \
319  print header; \
320  len = length(header); \
321  for (i = 1; i <= len; i = i + 1) \
322    printf "="; \
323  printf "\n\n"; \
324} \
325{ \
326  copy_in_global_log = 1; \
327  global_test_result = "RUN"; \
328  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
329    { \
330      if (rc < 0) \
331         fatal("failed to read from " $$0 ".trs"); \
332      if (line ~ /$(am__global_test_result_rx)/) \
333        { \
334          sub("$(am__global_test_result_rx)", "", line); \
335          sub("[        ]*$$", "", line); \
336          global_test_result = line; \
337        } \
338      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
339        copy_in_global_log = 0; \
340    }; \
341  if (copy_in_global_log) \
342    { \
343      rst_section(global_test_result ": " $$0); \
344      while ((rc = (getline line < ($$0 ".log"))) != 0) \
345      { \
346        if (rc < 0) \
347          fatal("failed to read from " $$0 ".log"); \
348        print line; \
349      }; \
350      printf "\n"; \
351    }; \
352  close ($$0 ".trs"); \
353  close ($$0 ".log"); \
354}'
355# Restructured Text title.
356am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
357# Solaris 10 'make', and several other traditional 'make' implementations,
358# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
359# by disabling -e (using the XSI extension "set +e") if it's set.
360am__sh_e_setup = case $$- in *e*) set +e;; esac
361# Default flags passed to test drivers.
362am__common_driver_flags = \
363  --color-tests "$$am__color_tests" \
364  --enable-hard-errors "$$am__enable_hard_errors" \
365  --expect-failure "$$am__expect_failure"
366# To be inserted before the command running the test.  Creates the
367# directory for the log if needed.  Stores in $dir the directory
368# containing $f, in $tst the test, in $log the log.  Executes the
369# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
370# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
371# will run the test scripts (or their associated LOG_COMPILER, if
372# thy have one).
373am__check_pre = \
374$(am__sh_e_setup);                                      \
375$(am__vpath_adj_setup) $(am__vpath_adj)                 \
376$(am__tty_colors);                                      \
377srcdir=$(srcdir); export srcdir;                        \
378case "$@" in                                            \
379  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
380    *) am__odir=.;;                                     \
381esac;                                                   \
382test "x$$am__odir" = x"." || test -d "$$am__odir"       \
383  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
384if test -f "./$$f"; then dir=./;                        \
385elif test -f "$$f"; then dir=;                          \
386else dir="$(srcdir)/"; fi;                              \
387tst=$$dir$$f; log='$@';                                 \
388if test -n '$(DISABLE_HARD_ERRORS)'; then               \
389  am__enable_hard_errors=no;                            \
390else                                                    \
391  am__enable_hard_errors=yes;                           \
392fi;                                                     \
393case " $(XFAIL_TESTS) " in                              \
394  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
395    am__expect_failure=yes;;                            \
396  *)                                                    \
397    am__expect_failure=no;;                             \
398esac;                                                   \
399$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
400# A shell command to get the names of the tests scripts with any registered
401# extension removed (i.e., equivalently, the names of the test logs, with
402# the '.log' extension removed).  The result is saved in the shell variable
403# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
404# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
405# since that might cause problem with VPATH rewrites for suffix-less tests.
406# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
407am__set_TESTS_bases = \
408  bases='$(TEST_LOGS)'; \
409  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
410  bases=`echo $$bases`
411RECHECK_LOGS = $(TEST_LOGS)
412AM_RECURSIVE_TARGETS = check recheck
413TEST_SUITE_LOG = test-suite.log
414TEST_EXTENSIONS = @EXEEXT@ .test
415am__test_logs1 = $(TESTS:=.log)
416am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
417TEST_LOGS = $(am__test_logs2:.test.log=.log)
418TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
419TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
420        $(TEST_LOG_FLAGS)
421am__set_b = \
422  case '$@' in \
423    */*) \
424      case '$*' in \
425        */*) b='$*';; \
426          *) b=`echo '$@' | sed 's/\.log$$//'`; \
427       esac;; \
428    *) \
429      b='$*';; \
430  esac
431am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
432        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
433DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
434ACLOCAL = @ACLOCAL@
435ADAPTATION_LIBS = @ADAPTATION_LIBS@
436ALLOCA = @ALLOCA@
437AMTAR = @AMTAR@
438AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
439AR = @AR@
[5496]440ARGZ_H = @ARGZ_H@
[5495]441AR_R = @AR_R@
442AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
443AUTH_MODULES = @AUTH_MODULES@
444AUTOCONF = @AUTOCONF@
445AUTOHEADER = @AUTOHEADER@
446AUTOMAKE = @AUTOMAKE@
447AWK = @AWK@
448BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
449BUILDCXX = @BUILDCXX@
450BUILDCXXFLAGS = @BUILDCXXFLAGS@
451BZR = @BZR@
452CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
453CC = @CC@
454CCDEPMODE = @CCDEPMODE@
455CFLAGS = @CFLAGS@
456CGIEXT = @CGIEXT@
457CHMOD = @CHMOD@
458CPP = @CPP@
459CPPFLAGS = @CPPFLAGS@
460CPPUNITCONFIG = @CPPUNITCONFIG@
461CRYPTLIB = @CRYPTLIB@
462CXX = @CXX@
463CXXCPP = @CXXCPP@
464CXXDEPMODE = @CXXDEPMODE@
465CXXFLAGS = @CXXFLAGS@
466CYGPATH_W = @CYGPATH_W@
467DEFAULT_HOSTS = @DEFAULT_HOSTS@
468DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
469DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
470DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
471DEFS = @DEFS@
472DEPDIR = @DEPDIR@
473DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
474DISK_LIBS = @DISK_LIBS@
475DISK_LINKOBJS = @DISK_LINKOBJS@
476DISK_MODULES = @DISK_MODULES@
477DISK_OS_LIBS = @DISK_OS_LIBS@
478DISK_PROGRAMS = @DISK_PROGRAMS@
479DLLTOOL = @DLLTOOL@
480DSYMUTIL = @DSYMUTIL@
481DUMPBIN = @DUMPBIN@
482ECAP_LIBS = @ECAP_LIBS@
483ECHO_C = @ECHO_C@
484ECHO_N = @ECHO_N@
485ECHO_T = @ECHO_T@
486EGREP = @EGREP@
487EPOLL_LIBS = @EPOLL_LIBS@
488EUILIB = @EUILIB@
489EXEEXT = @EXEEXT@
490EXPATLIB = @EXPATLIB@
491EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
492EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
493EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
494FALSE = @FALSE@
495FGREP = @FGREP@
496GREP = @GREP@
497HAVE_CXX11 = @HAVE_CXX11@
498ICAP_LIBS = @ICAP_LIBS@
499INCLTDL = @INCLTDL@
500INSTALL = @INSTALL@
501INSTALL_DATA = @INSTALL_DATA@
502INSTALL_PROGRAM = @INSTALL_PROGRAM@
503INSTALL_SCRIPT = @INSTALL_SCRIPT@
504INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
505KRB5INCS = @KRB5INCS@
506KRB5LIBS = @KRB5LIBS@
507LBERLIB = @LBERLIB@
508LD = @LD@
509LDAPLIB = @LDAPLIB@
510LDFLAGS = @LDFLAGS@
511LIBADD_DL = @LIBADD_DL@
512LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
513LIBADD_DLOPEN = @LIBADD_DLOPEN@
514LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
515LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
516LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
517LIBLTDL = @LIBLTDL@
518LIBOBJS = @LIBOBJS@
519LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
520LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
521LIBS = @LIBS@
522LIBSASL = @LIBSASL@
523LIBTOOL = @LIBTOOL@
524LIB_DB = @LIB_DB@
525LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
526LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
527LINUXDOC = @LINUXDOC@
528LIPO = @LIPO@
529LN = @LN@
530LN_S = @LN_S@
531LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
532LTDLDEPS = @LTDLDEPS@
533LTDLINCL = @LTDLINCL@
534LTDLOPEN = @LTDLOPEN@
535LTLIBOBJS = @LTLIBOBJS@
536LT_CONFIG_H = @LT_CONFIG_H@
537LT_DLLOADERS = @LT_DLLOADERS@
538LT_DLPREOPEN = @LT_DLPREOPEN@
539MAINT = @MAINT@
540MAKEINFO = @MAKEINFO@
541MANIFEST_TOOL = @MANIFEST_TOOL@
542MINGW_LIBS = @MINGW_LIBS@
543MKDIR = @MKDIR@
544MKDIR_P = @MKDIR_P@
545MV = @MV@
546NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
547NETTLELIB = @NETTLELIB@
548NM = @NM@
549NMEDIT = @NMEDIT@
550NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
551OBJDUMP = @OBJDUMP@
552OBJEXT = @OBJEXT@
553OTOOL = @OTOOL@
554OTOOL64 = @OTOOL64@
555PACKAGE = @PACKAGE@
556PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
557PACKAGE_NAME = @PACKAGE_NAME@
558PACKAGE_STRING = @PACKAGE_STRING@
559PACKAGE_TARNAME = @PACKAGE_TARNAME@
560PACKAGE_URL = @PACKAGE_URL@
561PACKAGE_VERSION = @PACKAGE_VERSION@
562PATH_SEPARATOR = @PATH_SEPARATOR@
563PERL = @PERL@
564PKG_CONFIG = @PKG_CONFIG@
565PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
566PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
567PO2HTML = @PO2HTML@
568PO2TEXT = @PO2TEXT@
569POD2MAN = @POD2MAN@
570RANLIB = @RANLIB@
571REGEXLIB = @REGEXLIB@
572REPL_LIBS = @REPL_LIBS@
573REPL_OBJS = @REPL_OBJS@
574REPL_POLICIES = @REPL_POLICIES@
575RM = @RM@
576SED = @SED@
577SET_MAKE = @SET_MAKE@
578SH = @SH@
579SHELL = @SHELL@
580SMBCLIENT = @SMBCLIENT@
581SNMPLIB = @SNMPLIB@
582SQUID_CFLAGS = @SQUID_CFLAGS@
583SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
584SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
585SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
586SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
587SSLLIB = @SSLLIB@
588STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
589STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
590STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
591STORE_TESTS = @STORE_TESTS@
592STRIP = @STRIP@
593TR = @TR@
594TRUE = @TRUE@
595URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
596VERSION = @VERSION@
597WBINFO = @WBINFO@
598WIN32_PSAPI = @WIN32_PSAPI@
599XMLLIB = @XMLLIB@
600XTRA_LIBS = @XTRA_LIBS@
601XTRA_OBJS = @XTRA_OBJS@
602abs_builddir = @abs_builddir@
603abs_srcdir = @abs_srcdir@
604abs_top_builddir = @abs_top_builddir@
605abs_top_srcdir = @abs_top_srcdir@
606ac_ct_AR = @ac_ct_AR@
607ac_ct_CC = @ac_ct_CC@
608ac_ct_CXX = @ac_ct_CXX@
609ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
610am__include = @am__include@
611am__leading_dot = @am__leading_dot@
612am__quote = @am__quote@
613am__tar = @am__tar@
614am__untar = @am__untar@
615bindir = @bindir@
616build = @build@
617build_alias = @build_alias@
618build_cpu = @build_cpu@
619build_os = @build_os@
620build_vendor = @build_vendor@
621builddir = @builddir@
622datadir = @datadir@
623datarootdir = @datarootdir@
624docdir = @docdir@
625dvidir = @dvidir@
626exec_prefix = @exec_prefix@
627host = @host@
628host_alias = @host_alias@
629host_cpu = @host_cpu@
630host_os = @host_os@
631host_vendor = @host_vendor@
632htmldir = @htmldir@
633includedir = @includedir@
634infodir = @infodir@
635install_sh = @install_sh@
636krb5_config = @krb5_config@
637libdir = @libdir@
638libexecdir = @libexecdir@
639localedir = @localedir@
640localstatedir = @localstatedir@
641ltdl_LIBOBJS = @ltdl_LIBOBJS@
642ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
643mandir = @mandir@
644mkdir_p = @mkdir_p@
645oldincludedir = @oldincludedir@
646pdfdir = @pdfdir@
647prefix = @prefix@
648program_transform_name = @program_transform_name@
649psdir = @psdir@
650runstatedir = @runstatedir@
651sbindir = @sbindir@
652sharedstatedir = @sharedstatedir@
653srcdir = @srcdir@
654subdirs = @subdirs@
655sys_symbol_underscore = @sys_symbol_underscore@
656sysconfdir = @sysconfdir@
657target_alias = @target_alias@
658top_build_prefix = @top_build_prefix@
659top_builddir = @top_builddir@
660top_srcdir = @top_srcdir@
661AM_CFLAGS = $(SQUID_CFLAGS)
662AM_CXXFLAGS = $(SQUID_CXXFLAGS)
663CLEANFILES =
664AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
665        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
666        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
667        $(am__append_1) -I$(top_srcdir)/lib
668@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
669@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
670COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
671subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
672noinst_LTLIBRARIES = librfcnb.la
673librfcnb_la_SOURCES = \
674        byteorder.h \
675        rfcnb.h \
676        rfcnb-common.h \
677        rfcnb-error.h \
678        rfcnb-priv.h \
679        rfcnb-util.h \
680        rfcnb-io.h \
681        rfcnb-io.c \
682        rfcnb-util.c \
683        rfcnb-util.h \
684        session.c \
685        std-includes.h
686
687all: all-am
688
689.SUFFIXES:
690.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
691$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
692        @for dep in $?; do \
693          case '$(am__configure_deps)' in \
694            *$$dep*) \
695              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
696                && { if test -f $@; then exit 0; else break; fi; }; \
697              exit 1;; \
698          esac; \
699        done; \
[5496]700        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/rfcnb/Makefile'; \
[5495]701        $(am__cd) $(top_srcdir) && \
[5496]702          $(AUTOMAKE) --foreign lib/rfcnb/Makefile
[5495]703Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
704        @case '$?' in \
705          *config.status*) \
706            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
707          *) \
708            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
709            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
710        esac;
711$(top_srcdir)/src/Common.am $(am__empty):
712
713$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
714        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
715
716$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
717        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
718$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
719        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
720$(am__aclocal_m4_deps):
721
722clean-noinstLTLIBRARIES:
723        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
724        @list='$(noinst_LTLIBRARIES)'; \
725        locs=`for p in $$list; do echo $$p; done | \
726              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
727              sort -u`; \
728        test -z "$$locs" || { \
729          echo rm -f $${locs}; \
730          rm -f $${locs}; \
731        }
732
733librfcnb.la: $(librfcnb_la_OBJECTS) $(librfcnb_la_DEPENDENCIES) $(EXTRA_librfcnb_la_DEPENDENCIES)
734        $(AM_V_CCLD)$(LINK)  $(librfcnb_la_OBJECTS) $(librfcnb_la_LIBADD) $(LIBS)
735
736clean-checkPROGRAMS:
737        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
738        echo " rm -f" $$list; \
739        rm -f $$list || exit $$?; \
740        test -n "$(EXEEXT)" || exit 0; \
741        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
742        echo " rm -f" $$list; \
743        rm -f $$list
744
745mostlyclean-compile:
746        -rm -f *.$(OBJEXT)
747
748distclean-compile:
749        -rm -f *.tab.c
750
751@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfcnb-io.Plo@am__quote@
752@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfcnb-util.Plo@am__quote@
753@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/session.Plo@am__quote@
754
755.c.o:
756@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
757@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
758@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
759@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
760@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
762
763.c.obj:
764@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
765@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
766@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
767@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
768@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
770
771.c.lo:
772@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
773@am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
774@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
775@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
776@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
777@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
778
779mostlyclean-libtool:
780        -rm -f *.lo
781
782clean-libtool:
783        -rm -rf .libs _libs
784
785ID: $(am__tagged_files)
786        $(am__define_uniq_tagged_files); mkid -fID $$unique
787tags: tags-am
788TAGS: tags
789
790tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
791        set x; \
792        here=`pwd`; \
793        $(am__define_uniq_tagged_files); \
794        shift; \
795        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
796          test -n "$$unique" || unique=$$empty_fix; \
797          if test $$# -gt 0; then \
798            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
799              "$$@" $$unique; \
800          else \
801            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
802              $$unique; \
803          fi; \
804        fi
805ctags: ctags-am
806
807CTAGS: ctags
808ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
809        $(am__define_uniq_tagged_files); \
810        test -z "$(CTAGS_ARGS)$$unique" \
811          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
812             $$unique
813
814GTAGS:
815        here=`$(am__cd) $(top_builddir) && pwd` \
816          && $(am__cd) $(top_srcdir) \
817          && gtags -i $(GTAGS_ARGS) "$$here"
818cscopelist: cscopelist-am
819
820cscopelist-am: $(am__tagged_files)
821        list='$(am__tagged_files)'; \
822        case "$(srcdir)" in \
823          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
824          *) sdir=$(subdir)/$(srcdir) ;; \
825        esac; \
826        for i in $$list; do \
827          if test -f "$$i"; then \
828            echo "$(subdir)/$$i"; \
829          else \
830            echo "$$sdir/$$i"; \
831          fi; \
832        done >> $(top_builddir)/cscope.files
833
834distclean-tags:
835        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
836
837# Recover from deleted '.trs' file; this should ensure that
838# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
839# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
840# to avoid problems with "make -n".
841.log.trs:
842        rm -f $< $@
843        $(MAKE) $(AM_MAKEFLAGS) $<
844
845# Leading 'am--fnord' is there to ensure the list of targets does not
846# expand to empty, as could happen e.g. with make check TESTS=''.
847am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
848am--force-recheck:
849        @:
850
851$(TEST_SUITE_LOG): $(TEST_LOGS)
852        @$(am__set_TESTS_bases); \
853        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
854        redo_bases=`for i in $$bases; do \
855                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
856                    done`; \
857        if test -n "$$redo_bases"; then \
858          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
859          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
860          if $(am__make_dryrun); then :; else \
861            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
862          fi; \
863        fi; \
864        if test -n "$$am__remaking_logs"; then \
865          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
866               "recursion detected" >&2; \
867        elif test -n "$$redo_logs"; then \
868          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
869        fi; \
870        if $(am__make_dryrun); then :; else \
871          st=0;  \
872          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
873          for i in $$redo_bases; do \
874            test -f $$i.trs && test -r $$i.trs \
875              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
876            test -f $$i.log && test -r $$i.log \
877              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
878          done; \
879          test $$st -eq 0 || exit 1; \
880        fi
881        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
882        ws='[   ]'; \
883        results=`for b in $$bases; do echo $$b.trs; done`; \
884        test -n "$$results" || results=/dev/null; \
885        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
886        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
887        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
888        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
889        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
890        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
891        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
892        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
893          success=true; \
894        else \
895          success=false; \
896        fi; \
897        br='==================='; br=$$br$$br$$br$$br; \
898        result_count () \
899        { \
900            if test x"$$1" = x"--maybe-color"; then \
901              maybe_colorize=yes; \
902            elif test x"$$1" = x"--no-color"; then \
903              maybe_colorize=no; \
904            else \
905              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
906            fi; \
907            shift; \
908            desc=$$1 count=$$2; \
909            if test $$maybe_colorize = yes && test $$count -gt 0; then \
910              color_start=$$3 color_end=$$std; \
911            else \
912              color_start= color_end=; \
913            fi; \
914            echo "$${color_start}# $$desc $$count$${color_end}"; \
915        }; \
916        create_testsuite_report () \
917        { \
918          result_count $$1 "TOTAL:" $$all   "$$brg"; \
919          result_count $$1 "PASS: " $$pass  "$$grn"; \
920          result_count $$1 "SKIP: " $$skip  "$$blu"; \
921          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
922          result_count $$1 "FAIL: " $$fail  "$$red"; \
923          result_count $$1 "XPASS:" $$xpass "$$red"; \
924          result_count $$1 "ERROR:" $$error "$$mgn"; \
925        }; \
926        {                                                               \
927          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
928            $(am__rst_title);                                           \
929          create_testsuite_report --no-color;                           \
930          echo;                                                         \
931          echo ".. contents:: :depth: 2";                               \
932          echo;                                                         \
933          for b in $$bases; do echo $$b; done                           \
934            | $(am__create_global_log);                                 \
935        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
936        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
937        if $$success; then                                              \
938          col="$$grn";                                                  \
939         else                                                           \
940          col="$$red";                                                  \
941          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
942        fi;                                                             \
943        echo "$${col}$$br$${std}";                                      \
944        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
945        echo "$${col}$$br$${std}";                                      \
946        create_testsuite_report --maybe-color;                          \
947        echo "$$col$$br$$std";                                          \
948        if $$success; then :; else                                      \
949          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
950          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
951            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
952          fi;                                                           \
953          echo "$$col$$br$$std";                                        \
954        fi;                                                             \
955        $$success || exit 1
956
957check-TESTS:
958        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
959        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
960        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
961        @set +e; $(am__set_TESTS_bases); \
962        log_list=`for i in $$bases; do echo $$i.log; done`; \
963        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
964        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
965        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
966        exit $$?;
967recheck: all $(check_PROGRAMS)
968        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
969        @set +e; $(am__set_TESTS_bases); \
970        bases=`for i in $$bases; do echo $$i; done \
971                 | $(am__list_recheck_tests)` || exit 1; \
972        log_list=`for i in $$bases; do echo $$i.log; done`; \
973        log_list=`echo $$log_list`; \
974        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
975                am__force_recheck=am--force-recheck \
976                TEST_LOGS="$$log_list"; \
977        exit $$?
978.test.log:
979        @p='$<'; \
980        $(am__set_b); \
981        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
982        --log-file $$b.log --trs-file $$b.trs \
983        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
984        "$$tst" $(AM_TESTS_FD_REDIRECT)
985@am__EXEEXT_TRUE@.test$(EXEEXT).log:
986@am__EXEEXT_TRUE@       @p='$<'; \
987@am__EXEEXT_TRUE@       $(am__set_b); \
988@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
989@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
990@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
991@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
992
993distdir: $(DISTFILES)
994        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
995        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
996        list='$(DISTFILES)'; \
997          dist_files=`for file in $$list; do echo $$file; done | \
998          sed -e "s|^$$srcdirstrip/||;t" \
999              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1000        case $$dist_files in \
1001          */*) $(MKDIR_P) `echo "$$dist_files" | \
1002                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1003                           sort -u` ;; \
1004        esac; \
1005        for file in $$dist_files; do \
1006          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1007          if test -d $$d/$$file; then \
1008            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1009            if test -d "$(distdir)/$$file"; then \
1010              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1011            fi; \
1012            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1013              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1014              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1015            fi; \
1016            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1017          else \
1018            test -f "$(distdir)/$$file" \
1019            || cp -p $$d/$$file "$(distdir)/$$file" \
1020            || exit 1; \
1021          fi; \
1022        done
1023check-am: all-am
1024        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1025        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1026check: check-am
1027all-am: Makefile $(LTLIBRARIES)
1028installdirs:
1029install: install-am
1030install-exec: install-exec-am
1031install-data: install-data-am
1032uninstall: uninstall-am
1033
1034install-am: all-am
1035        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1036
1037installcheck: installcheck-am
1038install-strip:
1039        if test -z '$(STRIP)'; then \
1040          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1041            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1042              install; \
1043        else \
1044          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1045            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1046            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1047        fi
1048mostlyclean-generic:
1049        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1050        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1051        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1052
1053clean-generic:
1054        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1055
1056distclean-generic:
1057        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1058        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1059
1060maintainer-clean-generic:
1061        @echo "This command is intended for maintainers to use"
1062        @echo "it deletes files that may require special tools to rebuild."
1063clean: clean-am
1064
1065clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1066        clean-noinstLTLIBRARIES mostlyclean-am
1067
1068distclean: distclean-am
1069        -rm -rf ./$(DEPDIR)
1070        -rm -f Makefile
1071distclean-am: clean-am distclean-compile distclean-generic \
1072        distclean-tags
1073
1074dvi: dvi-am
1075
1076dvi-am:
1077
1078html: html-am
1079
1080html-am:
1081
1082info: info-am
1083
1084info-am:
1085
1086install-data-am:
1087
1088install-dvi: install-dvi-am
1089
1090install-dvi-am:
1091
1092install-exec-am:
1093
1094install-html: install-html-am
1095
1096install-html-am:
1097
1098install-info: install-info-am
1099
1100install-info-am:
1101
1102install-man:
1103
1104install-pdf: install-pdf-am
1105
1106install-pdf-am:
1107
1108install-ps: install-ps-am
1109
1110install-ps-am:
1111
1112installcheck-am:
1113
1114maintainer-clean: maintainer-clean-am
1115        -rm -rf ./$(DEPDIR)
1116        -rm -f Makefile
1117maintainer-clean-am: distclean-am maintainer-clean-generic
1118
1119mostlyclean: mostlyclean-am
1120
1121mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1122        mostlyclean-libtool
1123
1124pdf: pdf-am
1125
1126pdf-am:
1127
1128ps: ps-am
1129
1130ps-am:
1131
1132uninstall-am:
1133
1134.MAKE: check-am install-am install-strip
1135
1136.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1137        clean-checkPROGRAMS clean-generic clean-libtool \
1138        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1139        distclean-compile distclean-generic distclean-libtool \
1140        distclean-tags distdir dvi dvi-am html html-am info info-am \
1141        install install-am install-data install-data-am install-dvi \
1142        install-dvi-am install-exec install-exec-am install-html \
1143        install-html-am install-info install-info-am install-man \
1144        install-pdf install-pdf-am install-ps install-ps-am \
1145        install-strip installcheck installcheck-am installdirs \
1146        maintainer-clean maintainer-clean-generic mostlyclean \
1147        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1148        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1149        uninstall-am
1150
1151.PRECIOUS: Makefile
1152
1153
1154$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1155
1156# Tell versions [3.59,3.63) of GNU make to not export all variables.
1157# Otherwise a system limit (for SysV at least) may be exceeded.
1158.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.